Fortinet white logo
Fortinet white logo

PUT

PUT

URI:
  • /api/v1/user/base/[id]

Input fields:
Field name Type Required Description
id string No The user ID.

username

string

No

email string No The user's email address.

mobile_number

string

No

The user's mobile phone number.

activation_code

boolean

No

Whether skip token migration notification is enabled.

dst_user_id

string

No

The base user's ID.

change_token

boolean

No

Whether update user token is enabled.

active

boolean

No

Whether the user is active.

bypass

boolean

No

Whether bypass is enabled for the user.

lockout

boolean

No

If lookout is enabled for the user.

auth_method

string

No

The authentication method, which can be one of the following:

  • ‘FTM’

  • ‘Email’

  • ‘SMS’

  • ‘FTK’

notification_ method

string

No

Supported notification method, which can either of

  • ‘Email’

  • ‘SMS’

Successful response fields:
Field name Type Description
customer_id string The customer ID.
client_id string The client ID.
user_id string

The user ID.

notification_method

string

Supported notification method, which can either of

  • ‘Email’

  • ‘SMS’

auth_method

string

The authentication method, which can be one of the following:

  • ‘FTM’

  • ‘Email’

  • ‘SMS’

  • ‘FTK’

username

string

The user name.

id

string

The userref ID.

realm_id

string

The realm ID.

mobile_number

string

The user's mobile phone number.

email

string

The user's email address.

active

boolean

Whether the user is active.

created_at

string

The timestamp when the user was created.

updated_at

string

The timestamp when the user was last updated.

bypass_at

string

The timestamp when the user was bypassed.

lockout_at

string

The timestamp when the user was locked out.

fail_times

integer

The number of failed attempts of user login validation.

temp_token

boolean

Whether temporary token is enabled for the user.

Response codes:
Code Response Content Description
202 OK User info has been updated.
400 Bad Request
  • Cannot identify related customer information.

  • Trial customer is not allowed to use SMS service.

  • The mobile number is invalid.

403 Forbidden Failed to modify the user; the locked user cannot bypass authentication.

404 Not Found

The user does not exist.

409 Conflict

application has been locked from adding user due to a pending task.

424 Dependency

You cannot remove the alias from the user when auto alias is enabled.

Example request body:
{ 

   "id": “12345678-abcd-efgh-1234-xxxxxxxxxxxx" 

   "auth_method": "Email" 

   "change_token": true 

   "email": "test@test.com" 

} 
Example of successful response body:
{ 

   "created_at": "2023-03-10T23:39:15", 

   "updated_at": null, 

   "id": "12345678-abcd-efgh-1234-xxxxxxxxxxxx", 

   "username": "abc", 

   "email": "abc@fortinet.com" 

   "mobile_number": "+1123456789", 

   "customer_id": "123456", 

   "realm_id": "12345678-abcd-efgh-1234-xxxxxxxxxxxx", 

   "active": true, 

   "bypass_at": null, 

   "lockout_at": null, 

   "temp_token": false, 

   "fail_times": 0, 

   "auth_method": "FTM", 

   "notification_method": "Email", 

 } 

PUT

PUT

URI:
  • /api/v1/user/base/[id]

Input fields:
Field name Type Required Description
id string No The user ID.

username

string

No

email string No The user's email address.

mobile_number

string

No

The user's mobile phone number.

activation_code

boolean

No

Whether skip token migration notification is enabled.

dst_user_id

string

No

The base user's ID.

change_token

boolean

No

Whether update user token is enabled.

active

boolean

No

Whether the user is active.

bypass

boolean

No

Whether bypass is enabled for the user.

lockout

boolean

No

If lookout is enabled for the user.

auth_method

string

No

The authentication method, which can be one of the following:

  • ‘FTM’

  • ‘Email’

  • ‘SMS’

  • ‘FTK’

notification_ method

string

No

Supported notification method, which can either of

  • ‘Email’

  • ‘SMS’

Successful response fields:
Field name Type Description
customer_id string The customer ID.
client_id string The client ID.
user_id string

The user ID.

notification_method

string

Supported notification method, which can either of

  • ‘Email’

  • ‘SMS’

auth_method

string

The authentication method, which can be one of the following:

  • ‘FTM’

  • ‘Email’

  • ‘SMS’

  • ‘FTK’

username

string

The user name.

id

string

The userref ID.

realm_id

string

The realm ID.

mobile_number

string

The user's mobile phone number.

email

string

The user's email address.

active

boolean

Whether the user is active.

created_at

string

The timestamp when the user was created.

updated_at

string

The timestamp when the user was last updated.

bypass_at

string

The timestamp when the user was bypassed.

lockout_at

string

The timestamp when the user was locked out.

fail_times

integer

The number of failed attempts of user login validation.

temp_token

boolean

Whether temporary token is enabled for the user.

Response codes:
Code Response Content Description
202 OK User info has been updated.
400 Bad Request
  • Cannot identify related customer information.

  • Trial customer is not allowed to use SMS service.

  • The mobile number is invalid.

403 Forbidden Failed to modify the user; the locked user cannot bypass authentication.

404 Not Found

The user does not exist.

409 Conflict

application has been locked from adding user due to a pending task.

424 Dependency

You cannot remove the alias from the user when auto alias is enabled.

Example request body:
{ 

   "id": “12345678-abcd-efgh-1234-xxxxxxxxxxxx" 

   "auth_method": "Email" 

   "change_token": true 

   "email": "test@test.com" 

} 
Example of successful response body:
{ 

   "created_at": "2023-03-10T23:39:15", 

   "updated_at": null, 

   "id": "12345678-abcd-efgh-1234-xxxxxxxxxxxx", 

   "username": "abc", 

   "email": "abc@fortinet.com" 

   "mobile_number": "+1123456789", 

   "customer_id": "123456", 

   "realm_id": "12345678-abcd-efgh-1234-xxxxxxxxxxxx", 

   "active": true, 

   "bypass_at": null, 

   "lockout_at": null, 

   "temp_token": false, 

   "fail_times": 0, 

   "auth_method": "FTM", 

   "notification_method": "Email", 

 }